-- 基础信息
base_info = {
	group_id = 247004017
}

-- DEFS_MISCS
local GroupId = 247004017
local point_id_list = {}
local MainGroupID = 247004001
local RegionID = 17001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 17001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = 79.961, y = -0.582, z = 399.989 } }
}

-- 触发器
triggers = {
	{ config_id = 1017001, name = "ENTER_REGION_17001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 17002, pos = { x = 76.026, y = -0.525, z = 407.657 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17003, pos = { x = 84.110, y = -0.527, z = 407.603 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17004, pos = { x = 80.006, y = -0.531, z = 408.547 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 17005, pos = { x = 72.849, y = -0.511, z = 406.441 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 17006, pos = { x = 87.070, y = -0.518, z = 406.001 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 17007, pos = { x = 71.629, y = -0.527, z = 403.720 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 17008, pos = { x = 88.737, y = -0.522, z = 403.735 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 17009, pos = { x = 71.378, y = -0.532, z = 400.014 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 17010, pos = { x = 88.839, y = -0.524, z = 400.030 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 17011, pos = { x = 80.040, y = -0.518, z = 408.087 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 17012, pos = { x = 74.255, y = -0.507, z = 407.155 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 17013, pos = { x = 85.731, y = -0.532, z = 407.120 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 17014, pos = { x = 71.311, y = -0.524, z = 402.475 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 17015, pos = { x = 88.861, y = -0.526, z = 402.481 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 17016, pos = { x = 71.325, y = -0.530, z = 397.591 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 17017, pos = { x = 88.768, y = -0.531, z = 397.646 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 17018, pos = { x = 74.303, y = -0.532, z = 392.923 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 17019, pos = { x = 85.661, y = -0.532, z = 392.839 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 17020, pos = { x = 79.942, y = -0.532, z = 392.044 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 17021, pos = { x = 72.826, y = -0.490, z = 407.171 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 17022, pos = { x = 87.106, y = -0.515, z = 407.174 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 17023, pos = { x = 72.828, y = -0.532, z = 392.820 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 17024, pos = { x = 87.029, y = -0.532, z = 392.898 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 17025, pos = { x = 80.131, y = -0.515, z = 407.419 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 17026, pos = { x = 79.933, y = -0.532, z = 392.662 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 17027, pos = { x = 71.851, y = -0.532, z = 399.993 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 17028, pos = { x = 88.227, y = -0.529, z = 399.958 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 17029, pos = { x = 71.957, y = -0.531, z = 395.928 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 17030, pos = { x = 87.924, y = -0.523, z = 403.367 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 17031, pos = { x = 83.363, y = -0.532, z = 392.345 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 17032, pos = { x = 76.111, y = -0.507, z = 407.267 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 17001 },
		triggers = { "ENTER_REGION_17001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
